org.apache.xerces.stax.events

## Class ProcessingInstructionImpl

- java.lang.Object
- - org.apache.xerces.stax.events.ProcessingInstructionImpl

- All Implemented Interfaces:
    javax.xml.stream.events.ProcessingInstruction, javax.xml.stream.events.XMLEvent, javax.xml.stream.XMLStreamConstants

      public final class ProcessingInstructionImpl
      extends java.lang.Object
      implements javax.xml.stream.events.ProcessingInstruction

  Version:
    $Id: ProcessingInstructionImpl.java 730471 2008-12-31 20:45:32Z mrglavas $
  Author:
    Lucian Holland

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingInstructionImpl(java.lang.String target, java.lang.String data, javax.xml.stream.Location location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.stream.events.Characters` | `asCharacters()`
    `javax.xml.stream.events.EndElement` | `asEndElement()`
    `javax.xml.stream.events.StartElement` | `asStartElement()`
    `java.lang.String` | `getData()`
    `int` | `getEventType()`
    `javax.xml.stream.Location` | `getLocation()`
    `javax.xml.namespace.QName` | `getSchemaType()`
    `java.lang.String` | `getTarget()`
    `boolean` | `isAttribute()`
    `boolean` | `isCharacters()`
    `boolean` | `isEndDocument()`
    `boolean` | `isEndElement()`
    `boolean` | `isEntityReference()`
    `boolean` | `isNamespace()`
    `boolean` | `isProcessingInstruction()`
    `boolean` | `isStartDocument()`
    `boolean` | `isStartElement()`
    `java.lang.String` | `toString()`
    `void` | `writeAsEncodedUnicode(java.io.Writer writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement`

- - ### Constructor Detail

    - #### ProcessingInstructionImpl

          public ProcessingInstructionImpl(java.lang.String target,
                                           java.lang.String data,
                                           javax.xml.stream.Location location)

      Parameters:
        `location` -

  - ### Method Detail

    - #### getTarget

          public java.lang.String getTarget()

      Specified by:
        `getTarget` in interface `javax.xml.stream.events.ProcessingInstruction`
      See Also:
        `ProcessingInstruction.getTarget()`

    - #### getData

          public java.lang.String getData()

      Specified by:
        `getData` in interface `javax.xml.stream.events.ProcessingInstruction`
      See Also:
        `ProcessingInstruction.getData()`

    - #### writeAsEncodedUnicode

          public void writeAsEncodedUnicode(java.io.Writer writer)
                                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `writeAsEncodedUnicode` in interface `javax.xml.stream.events.XMLEvent`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getEventType

          public final int getEventType()

      Specified by:
        `getEventType` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.getEventType()`

    - #### getLocation

          public final javax.xml.stream.Location getLocation()

      Specified by:
        `getLocation` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.getLocation()`

    - #### isStartElement

          public final boolean isStartElement()

      Specified by:
        `isStartElement` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isStartElement()`

    - #### isAttribute

          public final boolean isAttribute()

      Specified by:
        `isAttribute` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isAttribute()`

    - #### isNamespace

          public final boolean isNamespace()

      Specified by:
        `isNamespace` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isNamespace()`

    - #### isEndElement

          public final boolean isEndElement()

      Specified by:
        `isEndElement` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isEndElement()`

    - #### isEntityReference

          public final boolean isEntityReference()

      Specified by:
        `isEntityReference` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isEntityReference()`

    - #### isProcessingInstruction

          public final boolean isProcessingInstruction()

      Specified by:
        `isProcessingInstruction` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isProcessingInstruction()`

    - #### isCharacters

          public final boolean isCharacters()

      Specified by:
        `isCharacters` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isCharacters()`

    - #### isStartDocument

          public final boolean isStartDocument()

      Specified by:
        `isStartDocument` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isStartDocument()`

    - #### isEndDocument

          public final boolean isEndDocument()

      Specified by:
        `isEndDocument` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.isEndDocument()`

    - #### asStartElement

          public final javax.xml.stream.events.StartElement asStartElement()

      Specified by:
        `asStartElement` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.asStartElement()`

    - #### asEndElement

          public final javax.xml.stream.events.EndElement asEndElement()

      Specified by:
        `asEndElement` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.asEndElement()`

    - #### asCharacters

          public final javax.xml.stream.events.Characters asCharacters()

      Specified by:
        `asCharacters` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.asCharacters()`

    - #### getSchemaType

          public final javax.xml.namespace.QName getSchemaType()

      Specified by:
        `getSchemaType` in interface `javax.xml.stream.events.XMLEvent`
      See Also:
        `XMLEvent.getSchemaType()`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.